commit:     886944143f5d7d08a044c1a393c4254aa1279ba5
Author:     NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Tue Feb 18 14:39:20 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 22 16:49:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88694414

sys-auth/libnss-mysql: add 1.7.1

Switch to modernized fork.

Closes: https://bugs.gentoo.org/743139
Closes: https://bugs.gentoo.org/677532
Closes: https://bugs.gentoo.org/944425
Closes: https://bugs.gentoo.org/944348
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40635
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-auth/libnss-mysql/Manifest                  |  1 +
 sys-auth/libnss-mysql/libnss-mysql-1.7.1.ebuild | 39 +++++++++++++++++++++++++
 sys-auth/libnss-mysql/metadata.xml              |  1 +
 3 files changed, 41 insertions(+)

diff --git a/sys-auth/libnss-mysql/Manifest b/sys-auth/libnss-mysql/Manifest
index 78b307cdf182..ecf5436ba25d 100644
--- a/sys-auth/libnss-mysql/Manifest
+++ b/sys-auth/libnss-mysql/Manifest
@@ -1 +1,2 @@
+DIST libnss-mysql-1.7.1.tar.gz 388255 BLAKE2B 
bf3a83a5f50b0979bd189bd9a6068c4899991c5c7c78b3725d610b40570007c8a9e2f99f63c66d7807fdad6b7c6bae9fd277e6bec5163ab42bced31f8e9a1d09
 SHA512 
0b633558f865dc9aa2f9353cee112c1ce336c951a554b0f5dd74cbd03c3675a0dffb711471d418fb8808180f95f9d2e052ae73d528c197c9585320fd2f77bee7
 DIST libnss-mysql-20060915.tgz 689970 BLAKE2B 
147b5bb6c2fb53ca18f6db87054fa6665829671e9abdd7aa439287e301fc2d5ed4c9e2e5968ce6dacb4f74d86debb0c26d5cda56c6fe8f64e92ff3c9eba26a85
 SHA512 
fc92438b413b175b9bcead222013eab3bf63088a33ece0c4b6cc69edbefb9cc9145138ce786059acf502c2378a2af45588a5a506e45928b9ac600fe05e62e0c7

diff --git a/sys-auth/libnss-mysql/libnss-mysql-1.7.1.ebuild 
b/sys-auth/libnss-mysql/libnss-mysql-1.7.1.ebuild
new file mode 100644
index 000000000000..8d127d158fa7
--- /dev/null
+++ b/sys-auth/libnss-mysql/libnss-mysql-1.7.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="NSS MySQL Library"
+HOMEPAGE="https://github.com/saknopper/libnss-mysql";
+SRC_URI="https://github.com/saknopper/libnss-mysql/releases/download/v${PV}/libnss-mysql-${PV}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="debug"
+
+DEPEND="dev-db/mysql-connector-c:="
+RDEPEND="${DEPEND}"
+
+DOCS=( AUTHORS DEBUGGING FAQ INSTALL NEWS README THANKS
+       UPGRADING ChangeLog
+)
+
+src_configure() {
+       econf \
+               $(use_enable debug)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+
+       newdoc sample/README README.sample
+
+       local subdir
+       for subdir in sample/{linux,freebsd,complex,minimal} ; do
+               docinto "${subdir}"
+               dodoc "${subdir}/"{*.sql,*.cfg}
+       done
+}

diff --git a/sys-auth/libnss-mysql/metadata.xml 
b/sys-auth/libnss-mysql/metadata.xml
index b09d5cb43b8d..60e688ec875c 100644
--- a/sys-auth/libnss-mysql/metadata.xml
+++ b/sys-auth/libnss-mysql/metadata.xml
@@ -7,5 +7,6 @@
        </maintainer>
        <upstream>
                <remote-id type="sourceforge">libnss-mysql</remote-id>
+               <remote-id type="github">saknopper/libnss-mysql</remote-id>
        </upstream>
 </pkgmetadata>

Reply via email to